Bug 251454 - Software Channel Subscription UI bug
Summary: Software Channel Subscription UI bug
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Usability   
(Show other bugs)
Version: 500
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: John Matthews
QA Contact: Preethi Thomas
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 456985 465512
TreeView+ depends on / blocked
 
Reported: 2007-08-09 06:42 UTC by Issue Tracker
Modified: 2018-10-20 00:35 UTC (History)
3 users (show)

Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 20:21:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
image of issue (12.51 KB, image/png)
2007-08-09 06:47 UTC, Martin Poole
no flags Details
screenshot of a more common case (65.82 KB, image/png)
2007-08-09 11:53 UTC, Máirín Duffy
no flags Details

Description Issue Tracker 2007-08-09 06:42:59 UTC
Escalated to Bugzilla from IssueTracker

Comment 1 Issue Tracker 2007-08-09 06:43:03 UTC
Description of problem:
This has to do with the screen that comes up on the RHN Satellite v5.0.0 when you are viewing a system "Details" screen, and click on the "Alter Channel Subscriptions" link. See attached PNG.

The screen designer is obviously trying to get somebody's attention with the bold text to the right of the channel names. I am unable to find documentation regarding the point of this attention grab.

Documentation aside, the UI presentation is a bug. This is a very click-intensive application, which means it is somewhat error prone. The administrator's attention *needs* to be on the left side of the child channel display. This presentation is forcing it to the right -- thus exacerbating the potential for entry of an incorrect configuration.

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:


This event sent from IssueTracker by mpoole  [Support Engineering Group]
 issue 128522

Comment 2 Martin Poole 2007-08-09 06:47:29 UTC
Created attachment 160955 [details]
image of issue

Comment 3 Máirín Duffy 2007-08-09 11:51:12 UTC
Actually, that display is quite useful when, as in the majority case, you have
an actual limit of how many subscriptions you have available per channel. The
point of the 'attention grab' is to help make it clear which channels are more
scarce than others to help in the decision-making process involved in selecting
a channel for subscription. 

Point taken though, it's clear in this case the design is not suitable in all
scenarios. My suggestion for this would be to add logic, if unlimited then the
text is not bold. Also, to only bold the actual number, not the parentheses and
'available' text (see attached screenshot below)

Comment 4 Máirín Duffy 2007-08-09 11:53:45 UTC
Created attachment 160968 [details]
screenshot of a more common case

Comment 14 Preethi Thomas 2009-08-04 18:22:35 UTC
Release Pending
test1182.test.redhat.com

Comment 15 Brandon Perkins 2009-09-10 20:21:31 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html


Note You need to log in before you can comment on or make changes to this bug.